Subject: Re: Glads

From: [email-masked] (Lynn Whited)
Date: 31 Mar 1995 15:22:18 GMT

>Plant them 4-6 inches deep in well drained garden soil (sandy if possible)
>and expect them to bloom in about 100 days.

All of my ref. books say to plant them 10-15 inches deep.  That's how deep
mine get planted every year, they bloom in less than 100 days, because
Glads are one of the flowers that I have blooming all summer.  I also
don't have problems with needing to stake them.  Also I have been reading
about hardy glads that can stay in the ground all winter wher I live
(zone 5).  I haven't tried any yet, maybe next year.